Use 'libopus' rather than 'Opus' in the version string.
[opus.git] / autogen.sh
index 8047805..35cad67 100755 (executable)
@@ -2,7 +2,7 @@
 # Run this to set up the build system: configure, makefiles, etc.
 # (based on the version in enlightenment's cvs)
 
-package="ietfcodec"
+package="opus"
 
 olddir=`pwd`
 srcdir=`dirname $0`
@@ -11,11 +11,6 @@ test -z "$srcdir" && srcdir=.
 cd "$srcdir"
 DIE=0
 
-echo "autogeh in celt"
-(cd celt; ./autogen.sh)
-echo "autogeh in silk"
-(cd silk; ./autogen.sh)
-
 echo "checking for autoconf... "
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
         echo
@@ -103,8 +98,8 @@ echo "Generating configuration files for $package, please wait...."
 
 echo "  $ACLOCAL $ACLOCAL_FLAGS"
 $ACLOCAL $ACLOCAL_FLAGS || exit 1
-#echo "  autoheader"
-#autoheader || exit 1
+echo "  autoheader"
+autoheader || exit 1
 echo "  $LIBTOOLIZE --automake"
 $LIBTOOLIZE --automake || exit 1
 echo "  $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"